Subject: Re: [PATCH] path_treatment: also ignore $GIT_DIR if it's not .git

From: Junio C Hamano <[email-masked]>
Date: Tue, 03 Dec 2013 10:32:20 -0800

Karsten Blees <[email-masked]> writes:

>So I figure that GIT_DIR is not meant to _rename_ the ".git" dir,
>but to point somewhere _outside_ the worktree (or somewhere within
>the .git dir).

Correct.

> If we don't want to support this, though, I think it would be more
> approrpiate to issue a warning if GIT_DIR points to a worktree
> location.

But how do tell what is and isn't a "worktree location"?  Having the
path in the index would be one, but you may find it out only after
issuing "git checkout $antient_commit".